Package org.duckdb

## Class DuckDBAppender

- java.lang.Object
- - org.duckdb.DuckDBAppender

All Implemented Interfaces:
  `java.lang.AutoCloseable`

    public class DuckDBAppender
    extends java.lang.Object
    implements java.lang.AutoCloseable

### Field Summary

Fields
`protected java.nio.ByteBuffer` `appender_ref`

### Constructor Summary

Constructors
`DuckDBAppender​(DuckDBConnection con, java.lang.String schemaName, java.lang.String tableName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `append​(boolean value)`
`void` `append​(byte value)`
`void` `append​(double value)`
`void` `append​(float value)`
`void` `append​(int value)`
`void` `append​(long value)`
`void` `append​(short value)`
`void` `append​(java.lang.String value)`
`void` `beginRow()`
`void` `close()`
`void` `endRow()`
`protected void` `finalize()`
`void` `flush()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### appender_ref

    protected java.nio.ByteBuffer appender_ref

### Constructor Detail

#### DuckDBAppender

    public DuckDBAppender​(DuckDBConnection con,
                          java.lang.String schemaName,
                          java.lang.String tableName)
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

### Method Detail

#### beginRow

    public void beginRow()
                  throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### endRow

    public void endRow()
                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### flush

    public void flush()
               throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### append

    public void append​(boolean value)
                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### append

    public void append​(byte value)
                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### append

    public void append​(short value)
                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### append

    public void append​(int value)
                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### append

    public void append​(long value)
                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### append

    public void append​(float value)
                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### append

    public void append​(double value)
                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### append

    public void append​(java.lang.String value)
                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### finalize

    protected void finalize()
                     throws java.lang.Throwable

Overrides:
  `finalize` in class `java.lang.Object`
Throws:
  `java.lang.Throwable`

#### close

    public void close()
               throws java.sql.SQLException

Specified by:
  `close` in interface `java.lang.AutoCloseable`
Throws:
  `java.sql.SQLException`